Bug 583644 - .pod files are packaged under /usr/share/doc/sudo*, and man page for sudoers.ldap is missing
.pod files are packaged under /usr/share/doc/sudo*, and man page for sudoers....
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sudo (Show other bugs)
5.5
All Linux
low Severity medium
: rc
: ---
Assigned To: Daniel Kopeček
BaseOS QE Security Team
:
: 580094 (view as bug list)
Depends On:
Blocks: 634159 668804
  Show dependency treegraph
 
Reported: 2010-04-19 06:14 EDT by Radek Bíba
Modified: 2011-01-13 18:08 EST (History)
4 users (show)

See Also:
Fixed In Version: sudo-1.7.2p1-10.el5
Doc Type: Bug Fix
Doc Text:
Prior to this update, the manual page for sudoers.ldap was not installed, even though it contains important information on how to set up an LDAP sudoers source and other documents refer to it. This error no longer occurs, and the manual page is now properly included in the package. Additionally, various POD files have been removed from the package, as they are required for build purposes only.
Story Points: ---
Clone Of:
: 634159 668804 (view as bug list)
Environment:
Last Closed: 2011-01-13 18:08:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch for sudo.spec (1.78 KB, patch)
2010-04-19 07:46 EDT, Daniel Kopeček
no flags Details | Diff
patch for configure.in (517 bytes, patch)
2010-04-19 07:47 EDT, Daniel Kopeček
no flags Details | Diff

  None (edit)
Description Radek Bíba 2010-04-19 06:14:36 EDT
Description of problem:
I can see the following files in /usr/share/doc/sudo-1.7.2p1:
sudoers.ldap.pod
sudoers.pod
sudo.pod
visudo.pod

These are "raw" POD files in the upstream tarball. They aren't meant to be read by humans, and they also contain macros that are yet to be expanded according to configuration options. So they shouldn't exist on a live system. Fortunately there are man pages for sudoers, sudo and visudo. However, there's no man page for sudoers.ldap in the Red Hat package.

Please don't include the POD files in the package, and make sure a man page is built from sudoers.ldap.pod and included among other sudo man pages.

Version-Release number of selected component (if applicable):
sudo-1.7.2p1-5.el5
Comment 1 Daniel Kopeček 2010-04-19 07:46:53 EDT
Created attachment 407564 [details]
patch for sudo.spec

- remove *.pod files
- add ChangeLog, WHATSNEW and sudoers.ldap.5
Comment 2 Daniel Kopeček 2010-04-19 07:47:55 EDT
Created attachment 407567 [details]
patch for configure.in

This patch fixes the installation of sudoers.ldap.5 file
Comment 5 Daniel Kopeček 2010-09-14 10:41:35 EDT
*** Bug 580094 has been marked as a duplicate of this bug. ***
Comment 9 Jaromir Hradilek 2010-11-29 07:55:49 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Prior to this update, the manual page for sudoers.ldap was not installed, even though it contains important information on how to set up an LDAP sudoers source and other documents refer to it. This error no longer occurs, and the manual page is now properly included in the package. Additionally, various POD files have been removed from the package, as they are required for build purposes only.
Comment 11 errata-xmlrpc 2011-01-13 18:08:00 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0079.html

Note You need to log in before you can comment on or make changes to this bug.